{ *** =================================================== ***

	Purpose:		
		Sets up structures and values used by our main 
		code resources. 

	Module :		TermGlobalUnit.p

	Authors:		Craig Hotchkiss, Alex Kazim, Byron Han, 
						Carol Lee
					Apple Computer, Inc.
					Networks & Communications
					20525 Mariani Drive
					Cupertino, CA 95014

	Version :		1.0d1

	Date :			9.may.89

	History :
		9.may.89	Creation date


	1989 Apple Computer, Inc.  All Rights Reserved.
	This software is proprietary to Apple Computer, Inc.
	It may not be copied, in whole or in part,
	without the written consent of Apple Computer, Inc.

  *** =================================================== *** }
	



UNIT TermGlobalUnit;

INTERFACE


USES
	MemTypes, 
	QuickDraw, 
	OSIntf, 
	ToolIntf, 
	Lists,
	TerminalTool;


CONST	
	onlineBooleanItem					= 1;
	screenWidthItem						= 2;
	cursorStyleItem						= 3;

	{ Resource 'STR#' indices }
	onlineBoolean = 1;
	screen132Boolean = 2;
	cursorStyleBoolean = 3;
	falseID = 4;
	trueID = 5;

TYPE
	IntegerPtr = ^Integer;
	EventPtr = ^EventRecord;
	CharPtr = ^Char;

{ Here is my structure.  Each field is basically a check box for the 
choose dialog box.  These fields are checked by the code modules when
taking actions. }
	TerminalHandle = ^TerminalPtr;
	TerminalPtr = ^TerminalRecord;
	TerminalRecord = record
		onlineBoolean: Boolean;
		screenWidth: Boolean;
		cursorStyle: Boolean;
	END;
	

{ This 2-field structure is really unnecessary currently.  It's 
where a tool-specific structure could have been based. }
	TERMINALPrivateHandle	= ^TERMINALPrivatePtr;
	TERMINALPrivatePtr		= ^TERMINALPrivateRecord;
	TERMINALPrivateRecord	= record
		currentLanguage: Integer;
		cursorPosition: Integer;			{ current cursor location }
	END;
	
	LocalPtr = ^LocalRecord;
	LocalRecord = RECORD
		theList		:	ListHandle;
		oldCell		:	Cell;
	END;


IMPLEMENTATION

END.