#   File:       Terminal.make
#   Target:     Terminal
#   Created:    Monday, May 22, 1989
#
#	Copyright  1988-1989 by Apple Computer, Inc.  All rights reserved.
#


ObjectFolder = 		"{HomePascal}ObjectFolder:"

PCompileOptions = 	-d NoDebug=TRUE -mbg full
PIncludeDir = 		"{PInterfaces}"
PIncludeFiles =		"{PIncludeDir}"CRMIntf.p 
					"{PIncludeDir}"CMIntf.p 
					"{PIncludeDir}"TMIntf.p 
					"{PIncludeDir}"FTIntf.p 
					"{PIncludeDir}"CTBUtils.p

CTBLibraryDir =		"{Libraries}"
SpecialKObjects =   "{CTBLibraryDir}"CommToolbox.o





{ObjectFolder}tdef.p.o			tdef.p TermGlobalUnit.p 
			{PIncludeFiles}
	Pascal {PCompileOptions} 
		tdef.p -o {ObjectFolder}tdef.p.o

{ObjectFolder}tloc.p.o			tloc.p TermGlobalUnit.p 
			{PIncludeFiles}
	Pascal {PCompileOptions} 
		tloc.p -o {ObjectFolder}tloc.p.o

{ObjectFolder}tscr.p.o			tscr.p TermGlobalUnit.p 
			{PIncludeFiles}
	Pascal {PCompileOptions} 
		tscr.p -o {ObjectFolder}tscr.p.o

{ObjectFolder}tset.p.o			tset.p TermGlobalUnit.p 
			{PIncludeFiles}
	Pascal {PCompileOptions} 
		tset.p -o {ObjectFolder}tset.p.o

{ObjectFolder}tval.p.o			tval.p TermGlobalUnit.p 
			{PIncludeFiles}
	Pascal {PCompileOptions} 
		tval.p -o {ObjectFolder}tval.p.o



Terminal  Terminal.make 
		{ObjectFolder}tdef.p.o
	Link -ra "Terminal Main"=resLocked -rt tdef=1 
		-m "TDEFMAIN" 
		-sn Main="Terminal Main" 
		-w 
		 -t 'tbnd' 
		 -c 'bdc ' 
		 {ObjectFolder}tdef.p.o 
		"{Libraries}Interface.o" 
		"{PLibraries}PasLib.o" 
		"{Libraries}CommToolbox.o" 
		-o Terminal
	
Terminal  Terminal.make 
		{ObjectFolder}tloc.p.o
	Link -rt tloc=1 
		-m "TLOCMAIN" 
		-t 'tbnd' 
		-c 'bdc ' 
		-w 
		-sn Main="Terminal Localization" 
		-o Terminal 
		{ObjectFolder}tloc.p.o 
		"{Libraries}Interface.o" 
		"{PLibraries}PasLib.o" 
		{SpecialKObjects} 
		-o Terminal

Terminal  Terminal.make 
		{ObjectFolder}tscr.p.o
	Link -rt tscr=1 
		-m "TSCRMAIN" 
		-sn Main="Terminal Script Interface" 
		 
		-w 
		 -t 'tbnd' 
		 -c 'bdc ' 
		{ObjectFolder}tscr.p.o 
		"{Libraries}Interface.o" 
		"{PLibraries}PasLib.o" 
		{SpecialKObjects} 
		-o Terminal
	
Terminal  Terminal.make 
		{ObjectFolder}tset.p.o
	Link -w -rt tset=1 
		-m "TSETMAIN" 
		-t 'tbnd' 
		-c 'bdc ' 
		-sn Main="Terminal Setup Procedure" 
		{ObjectFolder}tset.p.o 
		"{Libraries}Interface.o" 
		"{PLibraries}PasLib.o" 
		{SpecialKObjects} 
		-o Terminal
	
Terminal  Terminal.make 
		{ObjectFolder}tval.p.o 
	Link 
		-ra "Terminal Validation Procedures"=resLocked -rt tval=1 
		-m "TVALMAIN" 
		-sn Main="Terminal Validation Procedures" 
		-w 
		 -t 'tbnd' 
		 -c 'bdc ' 
		{ObjectFolder}tval.p.o 
		"{Libraries}Interface.o" 
		"{PLibraries}PasLib.o" 
		{SpecialKObjects} 
		-o Terminal
	
Terminal  Terminal.make tbnd.r
	Rez tbnd.r -append -o Terminal

Terminal  Terminal.make tver.r
	Rez tver.r -append -o Terminal
		


Terminal	 Terminal.make 
			{ObjectFolder}tdef.p.o 
			{ObjectFolder}tloc.p.o 
			{ObjectFolder}tscr.p.o 
			{ObjectFolder}tset.p.o 
			{ObjectFolder}tval.p.o 
			tbnd.r 
			tver.r 
		setfile -t 'tbnd' -c 'bdc ' -a 'Bi' Terminal 
		Duplicate -y -p Terminal "{SystemFolder}Communications Folder:"
		If `exists "Fruit Loops:"`
			Duplicate -y -p Terminal "Fruit Loops:Terminal"
		End
		Beep
		Beep
		Beep
